GNU bug report logs - #39796
[PATCH] gnu: Add guile-websocket.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Evan Straw <evan.straw99@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 39796-done <at> debbugs.gnu.org:


Received: (at 39796-done) by debbugs.gnu.org; 30 Mar 2020 02:35:38 +0000
From ludo@HIDDEN Sun Mar 29 10:10:26 2020
Received: from eggs.gnu.org ([209.51.188.92]:46072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jIYdu-0002s7-82
 for 39796-done <at> debbugs.gnu.org; Sun, 29 Mar 2020 10:10:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51583)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jIYdp-0004Vg-3T; Sun, 29 Mar 2020 10:10:21 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=49678 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jIYdo-0006Dk-Jd; Sun, 29 Mar 2020 10:10:20 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Cc: Leo Famulari <leo@HIDDEN>,  39796-done <at> debbugs.gnu.org
Subject: Re: [bug#39796] [PATCH v2] gnu: Add guile-websocket.
References: <87o8tlewxf.fsf@HIDDEN> <20200315183607.GF5561@HIDDEN>
 <87d091ljwg.fsf@HIDDEN> <87k1356ur3.fsf_-_@HIDDEN>
nTo: Evan Straw <evan.straw99@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 10 Germinal an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 29 Mar 2020 16:10:17 +0200
In-Reply-To: <87k1356ur3.fsf_-_@HIDDEN> (Evan Straw's message of "Fri, 27
 Mar 2020 20:09:04 -0700")
Message-ID: <87mu7z1cc6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39796-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 14:10:26 -0000

Hi,

Evan Straw <evan.straw99@HIDDEN> skribis:

> From 25993e9705306516e393105e761488630d519354 Mon Sep 17 00:00:00 2001
> From: Evan Straw <evan.straw99@HIDDEN>
> Date: Fri, 27 Mar 2020 19:58:39 -0700
> Subject: [PATCH] gnu: Add guile3.0-websocket.
>
> * gnu/packages/guile-xyz.scm (guile3.0-websocket): New variable.

I added a copyright line for you and applied, along with a followup
patch to install =E2=80=98.go=E2=80=99 files to /site-ccache.

Thanks!

Ludo=E2=80=99.




Notification sent to Evan Straw <evan.straw99@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 39796 <at> debbugs.gnu.org:


Received: (at 39796) by debbugs.gnu.org; 28 Mar 2020 03:09:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 23:09:23 2020
Received: from localhost ([127.0.0.1]:33578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jI1qZ-0005LJ-OM
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 23:09:23 -0400
Received: from mail-pg1-f173.google.com ([209.85.215.173]:39100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <evan.straw99@HIDDEN>) id 1jI1qU-0005L2-Qc
 for 39796 <at> debbugs.gnu.org; Fri, 27 Mar 2020 23:09:18 -0400
Received: by mail-pg1-f173.google.com with SMTP id b22so5578077pgb.6
 for <39796 <at> debbugs.gnu.org>; Fri, 27 Mar 2020 20:09:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=El6jCwwwqZt+a0Qw66nP2KV0gVK4wTqGaN0epxR6CEA=;
 b=SKFQLqvq89dsCh83KsCqVP7ON2Ktk/pJgoMwt9NENGBfCmHvUA4kXzCcr6qm2K4rp/
 XwcxtTTA/nRQ/WDu8vgVEUhTRl5QT37oo+dWPc2w7wbSHlEzx8Lh44HP6Xmt9juPoh0L
 4PvPCxaCXJFylIm0cvcc/7h/uV4q2SiFTSfNIA7SRd8JcwaNFXKerbh8b6bBuzZyPyML
 FjPKpnVjmT+034gRggG5fxMZfD1mSo+FLAQB2FO0lk3GijnjPOEYNvG+1AUq/NVmSRsw
 NB9ayCZQCKHMgJksVttEytoq/SsNGNFIfOR4P3+pjtP0jIa8Bq9XzIuMlbz7yg4rMA/6
 XMdg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=El6jCwwwqZt+a0Qw66nP2KV0gVK4wTqGaN0epxR6CEA=;
 b=ZCuj6exYqgKO/UC0OaFMGyiLAHh4tnRz/Ack91E2PJW1QsXTUNnnWv0c5OeM4fv2/N
 lIyrkfzUKiMREcmqvjhtO+OSwD/PGS11QLoX8yGDhvKJS3dGaKf9PejJuC91rzGJRaRx
 ki7+EQToLhL505+yq86XV4HHlGGKJcdKzYq/whpx/3GFq0rxKkXWAk0uLOSlys3WbCDU
 RNQEiiBis8Vmb0owqbyaxtQuKBOkaiELwcZlgOy+ncO3CLWkiAviUVCassWx0u3Yd04d
 CE+xNavtmJYNDWIla4Tx+zAQ70QAjTTbuPc+3XL9y/y6Xo4Hm5EZisgbbWF69SCA24ok
 xjmQ==
X-Gm-Message-State: ANhLgQ0QpgP3zaeyMjDsINiUuFmVzvM5J8Xafj2JbEa02BCIBFibq781
 1BWm5rCuFtcH/0iu4X7skxJgRe1q
X-Google-Smtp-Source: ADFU+vtj58YN1iU7BT/RkQTkjjxnU4Hv8lYcDPO9Yhbqupwo1VQpavruClM2bX9Wh9hg5JOyzrRkiA==
X-Received: by 2002:a63:a06e:: with SMTP id u46mr2438324pgn.140.1585364948460; 
 Fri, 27 Mar 2020 20:09:08 -0700 (PDT)
Received: from virtualplaza ([2600:6c50:677f:fd7e:3ae1:7063:7a8d:5d31])
 by smtp.gmail.com with ESMTPSA id u12sm5050061pfm.165.2020.03.27.20.09.06
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 27 Mar 2020 20:09:06 -0700 (PDT)
From: Evan Straw <evan.straw99@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: [bug#39796] [PATCH v2] gnu: Add guile-websocket.
References: <87o8tlewxf.fsf@HIDDEN> <20200315183607.GF5561@HIDDEN>
 <87d091ljwg.fsf@HIDDEN>
Date: Fri, 27 Mar 2020 20:09:04 -0700
In-Reply-To: <87d091ljwg.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Tue, 24 Mar 2020 18:53:03 +0100")
Message-ID: <87k1356ur3.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 39796
Cc: 39796 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello,
>
> Leo Famulari <leo@HIDDEN> skribis:
>
>> On Tue, Feb 25, 2020 at 09:31:56PM -0800, Evan Straw wrote:
>>> From ba695ba2cbf27014e1ed95da8a0620988f03fa54 Mon Sep 17 00:00:00 2001
>>> From: Evan Straw <evan.straw99@HIDDEN>
>>> Date: Tue, 25 Feb 2020 12:08:46 -0800
>>> Subject: [PATCH] gnu: Add guile-websocket.
>>>=20
>>> * gnu/packages/guile-xyz.scm (guile-websocket): New variable.
>>
>> Thanks for this patch!
>>
>> Overall looks good, but the hash of the source code is not correct for
>> me:
>>
>> ------
>> r:sha256 hash mismatch for /gnu/store/f4gz64dfsqmhbbg24ggzf9ffcr6k2znf-g=
uile-websocket-0.1-checkout:
>>   expected hash: 10r8384frlyrljjdyzilrh8hzi60v9hisx4fxjs7rmg9g01cs77k
>>   actual hash:   1hymvsfrmq9qxr5cxnsgdz7y757yp1cpsgxmdp3f5wxxxpqgsmzx
>> hash mismatch for store item '/gnu/store/f4gz64dfsqmhbbg24ggzf9ffcr6k2zn=
f-guile-websocket-0.1-checkout'
>> build of /gnu/store/n6kxplhzysqq4d82p1m2wa2y48lbgswb-guile-websocket-0.1=
-checkout.drv failed
>> ------
>>
>> My guess is that you already had something corresponding to the expected
>> hash in /gnu/store, and so Guix did not even try to clone the upstream
>> repo. Probably another commit of guile-websocket, assuming the package
>> did build for you.
>>
>> Can you take a look and send a revised patch?

Fixed this, apologies for the long delay, had some things come up rather
suddenly.=20

>
> Also, it should be called =E2=80=9Cguile3.0-websocket=E2=80=9D.
>

Also fixed this. A revised patch should be attached to this email.

Thanks everyone for pointing these out!

=2D- Evan <evan.straw99@HIDDEN>


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=0001-gnu-Add-guile3.0-websocket.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: Updated patch for guile3.0-websocket

From=2025993e9705306516e393105e761488630d519354 Mon Sep 17 00:00:00 2001
From: Evan Straw <evan.straw99@HIDDEN>
Date: Fri, 27 Mar 2020 19:58:39 -0700
Subject: [PATCH] gnu: Add guile3.0-websocket.

* gnu/packages/guile-xyz.scm (guile3.0-websocket): New variable.
=2D--
 gnu/packages/guile-xyz.scm | 42 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index 09427da487..6b489203b1 100644
=2D-- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -3241,3 +3241,45 @@ according to Bitorrent BEP003.")
 Relay Chat} (IRC).")
       ;; Some file headers incorrectly say LGPLv2+.
       (license license:lgpl2.1+))))
+
+(define-public guile3.0-websocket
+  (let ((commit "c854e0f84a40d972cbd532bbb89c97ca0126a7cf"))
+    (package
+      (name "guile3.0-websocket")
+      (version "0.1")
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "git://dthompson.us/guile-websocket.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1hymvsfrmq9qxr5cxnsgdz7y757yp1cpsgxmdp3f5wxxxpqgsmzx"))))
+      (build-system gnu-build-system)
+      (arguments
+       '(#:make-flags
+         '("GUILE_AUTO_COMPILE=3D0")
+         #:phases
+         (modify-phases %standard-phases
+           ;; The package was developed for Guile 2.0 and has this version
+           ;; hardcoded in the configure.ac and Makefile.am files. Substit=
ute
+           ;; 3.0 instead so it can support Guile 3.0.
+           (add-after 'unpack 'update-guile-version
+             (lambda _
+               (substitute* "configure.ac"
+                 (("2.0.9") "3.0.0"))
+               (substitute* "Makefile.am"
+                 (("2.0") "3.0"))
+               #t)))))
+      (native-inputs
+       `(("autoconf" ,autoconf)
+         ("automake" ,automake)))
+      (inputs
+       `(("guile" ,guile-next)))
+      (synopsis "Websocket server/client for Guile")
+      (description "Guile-websocket provides an implementation of the
+WebSocket protocol as defined by RFC 6455.")
+      (home-page "https://git.dthompson.us/guile-websocket.git")
+      (license license:lgpl3+))))
=2D-=20
2.20.1


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE6f/SZXb4DLdwy+VR9TDDtKKp8G0FAl5+v9AACgkQ9TDDtKKp
8G15+RAAvX9gTDrL7D9p2CqnhV9EZjIZ1U3dRaFC6HRNlrDfTWeZXSD7oB0bKIZV
vjjJgdPJRRZ3j0HYH2Jv3k0FX1z+CjI5KsqMElBLFB/Rv9hDCQ+DdhyD4vvMXRRd
UL+qBsGQV5XSo0Wra/FaGY6TnQaKFOYk3m+iQuWbQALKTi3dq241KQlpymbcco7c
bFOCgqt9ordUgNo/HSDyzX4w5sgS+OGTIXN6ShjEpXWz/KHrSEd6kstDRNyXzx14
wN+ELTNFfHkkcs/WYqfleVCTwBKQenjcNK3BDn3Q6gF9L47QlRc3JHMYTpDH1vHV
mKfeAuGko2QBH1fmrN8maLY8qPyrUuhayzpKGocdiXTIKkFsqIG7wXMqdUD43w/X
d2F1z/vgAaT41TFdCsymXYmBOyWBQWXZY7RQ+ZYExs2XxzyHlsut6XR9cMk51zJV
JqvEO29MTu8cwYL4gJ1PAFHczSlG/0s5tkd0owgP70TTXQwkeY8aMiRuCgn7gGfY
6d+baqJ6hSKtt6pLGqLYONnMftp1Sr19oyaMqrLUUsDWepWua+gO/jlRSlSSNSXH
qZ4TFS/t2Xuge9w329hVJ0Bx11NZFdNEzGU7jGfKxMU2SBHrGpXBPyXgtcd3k0BN
ag3J0TVKDVBVfQPaNfbHarCSY/sn3VzFHyysbUH7fnWt5eWtly8=
=oUNS
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#39796; Package guix-patches. Full text available.

Message received at 39796 <at> debbugs.gnu.org:


Received: (at 39796) by debbugs.gnu.org; 24 Mar 2020 17:53:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 13:53:14 2020
Received: from localhost ([127.0.0.1]:55574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGnjm-00005Z-HW
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 13:53:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jGnjk-00005K-TV
 for 39796 <at> debbugs.gnu.org; Tue, 24 Mar 2020 13:53:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51921)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jGnjf-0002i5-MV; Tue, 24 Mar 2020 13:53:07 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=46986 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jGnjd-0007TQ-13; Tue, 24 Mar 2020 13:53:07 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#39796] [PATCH] gnu: Add guile-websocket.
References: <87o8tlewxf.fsf@HIDDEN> <20200315183607.GF5561@HIDDEN>
Date: Tue, 24 Mar 2020 18:53:03 +0100
In-Reply-To: <20200315183607.GF5561@HIDDEN> (Leo Famulari's message of
 "Sun, 15 Mar 2020 14:36:07 -0400")
Message-ID: <87d091ljwg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39796
Cc: Evan Straw <evan.straw99@HIDDEN>, 39796 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Leo Famulari <leo@HIDDEN> skribis:

> On Tue, Feb 25, 2020 at 09:31:56PM -0800, Evan Straw wrote:
>> From ba695ba2cbf27014e1ed95da8a0620988f03fa54 Mon Sep 17 00:00:00 2001
>> From: Evan Straw <evan.straw99@HIDDEN>
>> Date: Tue, 25 Feb 2020 12:08:46 -0800
>> Subject: [PATCH] gnu: Add guile-websocket.
>>=20
>> * gnu/packages/guile-xyz.scm (guile-websocket): New variable.
>
> Thanks for this patch!
>
> Overall looks good, but the hash of the source code is not correct for
> me:
>
> ------
> r:sha256 hash mismatch for /gnu/store/f4gz64dfsqmhbbg24ggzf9ffcr6k2znf-gu=
ile-websocket-0.1-checkout:
>   expected hash: 10r8384frlyrljjdyzilrh8hzi60v9hisx4fxjs7rmg9g01cs77k
>   actual hash:   1hymvsfrmq9qxr5cxnsgdz7y757yp1cpsgxmdp3f5wxxxpqgsmzx
> hash mismatch for store item '/gnu/store/f4gz64dfsqmhbbg24ggzf9ffcr6k2znf=
-guile-websocket-0.1-checkout'
> build of /gnu/store/n6kxplhzysqq4d82p1m2wa2y48lbgswb-guile-websocket-0.1-=
checkout.drv failed
> ------
>
> My guess is that you already had something corresponding to the expected
> hash in /gnu/store, and so Guix did not even try to clone the upstream
> repo. Probably another commit of guile-websocket, assuming the package
> did build for you.
>
> Can you take a look and send a revised patch?

Also, it should be called =E2=80=9Cguile3.0-websocket=E2=80=9D.

Evan, ping!  :-)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#39796; Package guix-patches. Full text available.

Message received at 39796 <at> debbugs.gnu.org:


Received: (at 39796) by debbugs.gnu.org; 15 Mar 2020 18:36:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 14:36:15 2020
Received: from localhost ([127.0.0.1]:35574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDY7T-0004RD-Hw
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 14:36:15 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:60461)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jDY7S-0004Qx-4I
 for 39796 <at> debbugs.gnu.org; Sun, 15 Mar 2020 14:36:14 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id A406621DC7;
 Sun, 15 Mar 2020 14:36:08 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Sun, 15 Mar 2020 14:36:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=7jtc4YiwRA801AGs3AtC6oEq
 JD/pSu5oWCIrDlMopP8=; b=wtf94TSaz02mwWlNW6hggDDR/aaEl9RAxElROjUk
 p5DCK82CrwN+/LQyRDqVgfiUBg/Im8uatSkFHwRYYGUqvvSFtnAx0JtF0xg5raoS
 Ya3ZjcL4Gi7Ej15DXJE+aTdv8atzI5NQdFWmxg+lAkPfOfehI/5PAgcthgkwAL0d
 oG8=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=7jtc4Y
 iwRA801AGs3AtC6oEqJD/pSu5oWCIrDlMopP8=; b=mC0Ry7cwIY1QsASxCgWWEv
 PyLBK3aatFcFffcpc5/uyBYBKdZcCyYex7BEVqeNcPHrwm8k3wmu2LESv+5cfyco
 peeecC2BRA7jy6a5ZBQdfbOP4KKRTOoSdVzSgdWnwmwB0tJmYyEPGzpxAjzman0Q
 Wo1LlWsRw/XQwWtWrlCcDjXWPR6yA3k5IFIOQpOitDyb/AM6ww3WH+J36iPaOHhR
 JFmdBSgR9QVSYD9aQ+i0+Upw3ci31DVxlqWQ90xGo+DBgrBX3q2pocEIF/irWKYm
 YBYFd+hh7besgrgrFkf9CjHwyvzFUBUCP23m1OIVZWf+VYuWdbdQU5H4d7w8uCSQ
 ==
X-ME-Sender: <xms:mHVuXuHLZnDKSLQ_yRWg9RIj-kH6IGEY2xtyVKIZ5jJNsGcHFKUBdg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudefuddgudelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehgtderredttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucfkphepjeeird
 duvdegrddufeekrdeifeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgr
 ihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:mHVuXh80UtybXFLiiq3JiqEEUxsPy-weNvryrNo4LGC-Ww8AuMLbNQ>
 <xmx:mHVuXnq5gfLJ7wJSswO3r1mc_ARLvT6ys7m192zuHXKwwu2rLFdpIQ>
 <xmx:mHVuXpaI3UXIoqFhmerz11hXuhcnv0MKfEeBGxuxi9U1Jrdchahtwg>
 <xmx:mHVuXlOv7f-GmFlIzBLOFCl9eVjJkzAbjmVC-BJOpgJSI4FNOVErLQ>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 3F6A230614FA;
 Sun, 15 Mar 2020 14:36:08 -0400 (EDT)
Date: Sun, 15 Mar 2020 14:36:07 -0400
From: Leo Famulari <leo@HIDDEN>
To: Evan Straw <evan.straw99@HIDDEN>
Subject: Re: [bug#39796] [PATCH] gnu: Add guile-websocket.
Message-ID: <20200315183607.GF5561@HIDDEN>
References: <87o8tlewxf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="gKMricLos+KVdGMg"
Content-Disposition: inline
In-Reply-To: <87o8tlewxf.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39796
Cc: 39796 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--gKMricLos+KVdGMg
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Feb 25, 2020 at 09:31:56PM -0800, Evan Straw wrote:
> From ba695ba2cbf27014e1ed95da8a0620988f03fa54 Mon Sep 17 00:00:00 2001
> From: Evan Straw <evan.straw99@HIDDEN>
> Date: Tue, 25 Feb 2020 12:08:46 -0800
> Subject: [PATCH] gnu: Add guile-websocket.
>=20
> * gnu/packages/guile-xyz.scm (guile-websocket): New variable.

Thanks for this patch!

Overall looks good, but the hash of the source code is not correct for
me:

------
r:sha256 hash mismatch for /gnu/store/f4gz64dfsqmhbbg24ggzf9ffcr6k2znf-guil=
e-websocket-0.1-checkout:
  expected hash: 10r8384frlyrljjdyzilrh8hzi60v9hisx4fxjs7rmg9g01cs77k
  actual hash:   1hymvsfrmq9qxr5cxnsgdz7y757yp1cpsgxmdp3f5wxxxpqgsmzx
hash mismatch for store item '/gnu/store/f4gz64dfsqmhbbg24ggzf9ffcr6k2znf-g=
uile-websocket-0.1-checkout'
build of /gnu/store/n6kxplhzysqq4d82p1m2wa2y48lbgswb-guile-websocket-0.1-ch=
eckout.drv failed
------

My guess is that you already had something corresponding to the expected
hash in /gnu/store, and so Guix did not even try to clone the upstream
repo. Probably another commit of guile-websocket, assuming the package
did build for you.

Can you take a look and send a revised patch?

--gKMricLos+KVdGMg
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAl5udZYACgkQJkb6MLrK
fwiqSg/+NpQreEioQNj0Mpj3oK4e0js2nKFPD6Q81EZSAttX3T8AQVTSiP8Vwbsc
UE2dBKd36jAcclhGhVxyb1DU6k5uY4ksDQnwU1bDhPwC7BDE6LJCXXkdPQDSAl+S
EJBr+5X/WEM+G8pPkKmjGuVIGUFSdRyv//s7RCVzSpu25+OIe6oRyWjZAclNKq0A
sZmRr+un6d096IJr+7rr1nH16fDOJuPsPEVhEdSlRmfXH8psEHPVT0eKnRsu5pWF
SHDmV5drsu7hDAtwDesM+mHOuIFgs5IoGKpe8xZ6jUuWrPaD1PNtjXVIjsMtksew
7PQVvCyPLLczOO9e5Nss8doY2HwVYgqt168XCYS2JprrM8RA/pCDdGxTPst48uBq
+fwEPRKkLyoxUOQLYE9m3H5PwAU2QxaMU4mClvit1OWz+bCYW4ulORUZ1bw6tWqO
mQWkLcikDMIeu1NcN/dJI3mXP1WhGyEP7/8A4FI+owh33fh/cG8nDljdrNzTyySB
FXOIbNIVinZQ0F4wepVu8MqAfL4n0gZWmSP3gkFB7h7o0+I/zemciU3eKbUTXvHF
R/V4Dn/xAg8XS66RnVfiEv3n5HdWO4hmuXp8nnjDfkUFBa0N6BE5AggnOIbq9mPE
0aAVSpvj0ubCfch3w9eXYnOyYq4SF6MtefNx/XUif/lV1STbtjw=
=t2p2
-----END PGP SIGNATURE-----

--gKMricLos+KVdGMg--




Information forwarded to guix-patches@HIDDEN:
bug#39796; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Feb 2020 05:32:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 26 00:32:22 2020
Received: from localhost ([127.0.0.1]:56319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6pIv-0002gz-9W
	for submit <at> debbugs.gnu.org; Wed, 26 Feb 2020 00:32:22 -0500
Received: from lists.gnu.org ([209.51.188.17]:33497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <evan.straw99@HIDDEN>) id 1j6pIt-0002gs-7J
 for submit <at> debbugs.gnu.org; Wed, 26 Feb 2020 00:32:16 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:41776)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <evan.straw99@HIDDEN>) id 1j6pIr-0002BI-Rq
 for guix-patches@HIDDEN; Wed, 26 Feb 2020 00:32:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <evan.straw99@HIDDEN>) id 1j6pIk-000345-LM
 for guix-patches@HIDDEN; Wed, 26 Feb 2020 00:32:13 -0500
Received: from mail-pl1-x633.google.com ([2607:f8b0:4864:20::633]:38279)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <evan.straw99@HIDDEN>)
 id 1j6pIk-00030D-Di
 for guix-patches@HIDDEN; Wed, 26 Feb 2020 00:32:06 -0500
Received: by mail-pl1-x633.google.com with SMTP id p7so822387pli.5
 for <guix-patches@HIDDEN>; Tue, 25 Feb 2020 21:32:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=VuwzlFYy8M+6T7F+sXmxMoH7u1+r9ccMPQhQw++hSik=;
 b=JS+wNPkNSqBVIoUbMflrmGauHdvEuQVn6SrEC7CDZXRp/7CE9oWN8HSKOYsnf+/CeZ
 MMhgyysF5A6tWJVrSEipbeCb1xDkSDNfik7EWBy6TE4rNCsVxgrKCTpjGpwcd1TGpmeo
 dHZPVTLhjqEBHSkQRAFyX3z5k1rr3fhX0LL+/DS8/GTjcBs9RiJNJop+39vHrRWFbhjo
 9JVF0D3/eZ4KRwfLRqB7AGCqavRcKCZxx5we9fVs5PBI9rg8tVMxpEenA2t5WlTGyZY9
 UMo/Yh2lc8bh74MkG99qacvNHnoXWaHdS3Ftcr+p1ElJz5UcVcxCgkdORKbjLswRlFP9
 ogqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=VuwzlFYy8M+6T7F+sXmxMoH7u1+r9ccMPQhQw++hSik=;
 b=teJvfRo5d81gkrCVlfVLfh2/iMaTq3X/oEh7Pg5d/Wgn9xWx0dP2sg2p4TVaEWMi4f
 IYH0k4+y3TTM65htW88HVBT4C0GZJeU4iz/pnegxIbAe573blWQadjBKvbAZ6mm2Y6AS
 CjD+RD+sZ+zUaCDtYa0WzBsuN9W2xbakpPdewvwghOv3k/DPqWDMr/dLXVY2hNILnC9i
 zFVgc+x060psyJguj0m+0vLAIC+dovqbuhoJ3UqSuomP91PGwXzo5TX8AdNKgOsq7B0z
 GBaVCDmfm7+aQyoO/cek3lNmPA2AGvVlw4JyhruDYN0/ir4w6GB/l+YJ4lD/f1qFfEQP
 sF2A==
X-Gm-Message-State: APjAAAXb2bZt5BQvwvnpluWeNN44J7Habyf38wz17nRsI/6RzcgFc/vZ
 2lFes5DjQDVMmPGMGvtlbagG8ovP
X-Google-Smtp-Source: APXvYqxriaR4+xFEyUG6wQ+/PUBs2xMs9OY/gHGzelL/pNWZY+V6SH5IyQlB6a0G+WWCn5hsyC0utg==
X-Received: by 2002:a17:902:d702:: with SMTP id
 w2mr2219001ply.243.1582695124890; 
 Tue, 25 Feb 2020 21:32:04 -0800 (PST)
Received: from virtualplaza ([205.175.97.30])
 by smtp.gmail.com with ESMTPSA id gx18sm933480pjb.8.2020.02.25.21.31.57
 for <guix-patches@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 25 Feb 2020 21:31:57 -0800 (PST)
From: Evan Straw <evan.straw99@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add guile-websocket.
Date: Tue, 25 Feb 2020 21:31:56 -0800
Message-ID: <87o8tlewxf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::633
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=0001-gnu-Add-guile-websocket.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: [PATCH] gnu: Add guile-websocket.

From=20ba695ba2cbf27014e1ed95da8a0620988f03fa54 Mon Sep 17 00:00:00 2001
From: Evan Straw <evan.straw99@HIDDEN>
Date: Tue, 25 Feb 2020 12:08:46 -0800
Subject: [PATCH] gnu: Add guile-websocket.

* gnu/packages/guile-xyz.scm (guile-websocket): New variable.
=2D--
 gnu/packages/guile-xyz.scm | 43 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index 37a5198e4e..758ed5aa53 100644
=2D-- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -23,6 +23,7 @@
 ;;; Copyright =C2=A9 2019 swedebugia <swedebugia@HIDDEN>
 ;;; Copyright =C2=A9 2019 Amar Singh <nly@HIDDEN>
 ;;; Copyright =C2=A9 2019 Timothy Sample <samplet@HIDDEN>
+;;; Copyright =C2=A9 2020 Evan Straw <evan.straw99@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -3109,3 +3110,45 @@ currently a re-implementation of the lentes library =
for Clojure.  Lenses
 provide composable procedures, which can be used to focus, apply functions
 over, or update a value in arbitrary data structures.")
       (license license:gpl3+))))
+
+(define-public guile-websocket
+  (let ((commit "c854e0f84a40d972cbd532bbb89c97ca0126a7cf"))
+    (package
+      (name "guile-websocket")
+      (version "0.1")
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "git://dthompson.us/guile-websocket.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "10r8384frlyrljjdyzilrh8hzi60v9hisx4fxjs7rmg9g01cs77k"))))
+      (build-system gnu-build-system)
+      (arguments
+       '(#:make-flags
+         '("GUILE_AUTO_COMPILE=3D0")
+         #:phases
+         (modify-phases %standard-phases
+           ;; The package was developed for Guile 2.0 and has this version
+           ;; hardcoded in the configure.ac and Makefile.am files. Substit=
ute
+           ;; 3.0 instead so it can support Guile 3.0.
+           (add-after 'unpack 'update-guile-version
+             (lambda _
+               (substitute* "configure.ac"
+                 (("2.0.9") "3.0.0"))
+               (substitute* "Makefile.am"
+                 (("2.0") "3.0"))
+               #t)))))
+      (native-inputs
+       `(("autoconf" ,autoconf)
+         ("automake" ,automake)))
+      (inputs
+       `(("guile" ,guile-next)))
+      (synopsis "Websocket server/client for Guile")
+      (description "Guile-websocket provides an implementation of the
+WebSocket protocol as defined by RFC 6455.")
+      (home-page "https://git.dthompson.us/guile-websocket.git")
+      (license license:lgpl3+))))
=2D-=20
2.20.1


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE6f/SZXb4DLdwy+VR9TDDtKKp8G0FAl5WAswACgkQ9TDDtKKp
8G2yCA/8CL+vFSF75FQsIFz5g+GM0Zd3EVzp/rzxd3tnW5IyXNp+qh0QXnd10rKo
cPt+DZagBrTdsFR3ZU8vOnHbhlLsr+UmO+alIbY+KJkX6Byr1ZKZa7OgsFvYQcaW
G5fTQHlthBQoYKi6MzMKs6STdTNxne766Mn3VhNoiscuM/OF4TyOAruzPjTTuSGU
zkuQg/kPFON2X2bznBT10oWBjgus+Nk4lXDZgqbJg/kInyVVx1x97k4hR6C1/+G7
dhz577v3IPALv/Jq0ix/wxRReN+7IA7kb55ojq/qXOIX6Al4aSAqRMNctrcKY1iY
7hO0P2EJoQG2VelK6fPX2s/uO4ez2aqRQ9idqM/DNTQMxz3e0roU+IwMvn49qHHa
BFpvlzuZ6bSGxa0M4eUpAx+rrs8LDPUNReSm6ax9aJTFvUe4QdccXzqqH/TGqPE9
+SOyL/vr/UKjNVu0Zz5tqNyrhyxJ1eHHFHVTa7EOzHrVPJnpEzF0XScQvPLHN+Is
FXwtwKP/eXWmmTgVHCh6biALAWKHl+3ZZaHKXQIjKoU2ZdH1yWQ9s0U7TIQVrl5c
gnyE4v3m61ShsnYXclyCa8Gqbjqdi6X9VaYA8tfJGhSMXDFRCRxrosVl1KwvfpVl
7MX6ublu1ex2BnKQpqWJG6MEzfatw4o5c9gEE1D7vWuu/IMXi8o=
=wD3H
-----END PGP SIGNATURE-----
--==-=-=--




Acknowledgement sent to Evan Straw <evan.straw99@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#39796; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Mar 2020 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.